"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.wrapAllWithCheck = exports.wrapWithCheck = void 0;
var logger_1 = require("../logger");
var wrapWithCheck = function (f, contextMessage) {
    return function () {
        var args = [];
        for (var _i = 0; _i < arguments.length; _i++) {
            args[_i] = arguments[_i];
        }
        var result = f.apply(void 0, args);
        if (!result) {
            logger_1.default.pactCrash("The pact consumer core returned false at '" + contextMessage + "'. This\nshould only happen if the core methods were invoked out of order");
        }
        return result;
    };
};
exports.wrapWithCheck = wrapWithCheck;
var wrapAllWithCheck = function (o) {
    return Object.keys(o)
        .map(function (key) {
        var _a;
        return (_a = {},
            _a[key] = exports.wrapWithCheck(o[key], key),
            _a);
    })
        .reduce(function (acc, curr) { return (__assign(__assign({}, acc), curr)); }, {});
};
exports.wrapAllWithCheck = wrapAllWithCheck;
//# sourceMappingURL=checkErrors.js.map