"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getFfiLib = exports.PACT_FFI_VERSION = void 0;
var logger_1 = require("../logger");
var bindings = require("bindings");
var ffiLib = bindings('pact.node');
exports.PACT_FFI_VERSION = '0.1.6';
var ffi;
var ffiLogLevel;
var initialiseFfi = function (logLevel) {
    logger_1.default.debug("Initalising native core at log level '" + logLevel + "'");
    ffiLogLevel = logLevel;
    ffiLib.pactffiInitWithLogLevel(logLevel);
    return ffiLib;
};
var getFfiLib = function (logLevel) {
    if (logLevel === void 0) { logLevel = logger_1.DEFAULT_LOG_LEVEL; }
    if (!ffi) {
        logger_1.default.trace('Initiliasing ffi for the first time');
        ffi = initialiseFfi(logLevel);
    }
    else {
        logger_1.default.trace('Ffi has already been initialised, no need to repeat it');
        if (logLevel !== ffiLogLevel) {
            logger_1.default.warn("The pact native core has already been initialised at log level '" + ffiLogLevel + "'");
            logger_1.default.warn("The new requested log level '" + logLevel + "' will be ignored");
        }
    }
    return ffi;
};
exports.getFfiLib = getFfiLib;
//# sourceMappingURL=index.js.map